.tooltip {
  display: block !important;
  z-index: 10000;
  max-width: 300px;
}

.tooltip .tooltip-inner {
  background: black;
  color: white;
  border-radius: 8px;
  padding: 5px 10px 4px;
  font-size: 12px;
}

.tooltip .tooltip-arrow {
  width: 0;
  height: 0;
  border-style: solid;
  position: absolute;
  margin: 5px;
  border-color: black;
  z-index: 1;
}

.tooltip[x-placement^='top'] {
  margin-bottom: 5px;
}

.tooltip[x-placement^='top'] .tooltip-arrow {
  border-width: 5px 5px 0 5px;
  border-left-color: transparent !important;
  border-right-color: transparent !important;
  border-bottom-color: transparent !important;
  bottom: -5px;
  left: calc(50% - 5px);
  margin-top: 0;
  margin-bottom: 0;
}

.tooltip[x-placement^='bottom'] {
  margin-top: 5px;
}

.tooltip[x-placement^='bottom'] .tooltip-arrow {
  border-width: 0 5px 5px 5px;
  border-left-color: transparent !important;
  border-right-color: transparent !important;
  border-top-color: transparent !important;
  top: -5px;
  left: calc(50% - 5px);
  margin-top: 0;
  margin-bottom: 0;
}

.tooltip[x-placement^='right'] {
  margin-left: 5px;
}

.tooltip[x-placement^='right'] .tooltip-arrow {
  border-width: 5px 5px 5px 0;
  border-left-color: transparent !important;
  border-top-color: transparent !important;
  border-bottom-color: transparent !important;
  left: -5px;
  top: calc(50% - 5px);
  margin-left: 0;
  margin-right: 0;
}

.tooltip[x-placement^='left'] {
  margin-right: 5px;
}

.tooltip[x-placement^='left'] .tooltip-arrow {
  border-width: 5px 0 5px 5px;
  border-top-color: transparent !important;
  border-right-color: transparent !important;
  border-bottom-color: transparent !important;
  right: -5px;
  top: calc(50% - 5px);
  margin-left: 0;
  margin-right: 0;
}

.tooltip.hidden .tooltip-inner,
.tooltip.hidden .tooltip-arrow {
  display: none;
  visibility: hidden;
}

.tooltip.popover .popover-inner {
  background: #f9f9f9;
  color: black;
  padding: 24px;
  border-radius: 5px;
  box-shadow: 0 5px 30px rgba(black, 0.1);
}

.tooltip.popover .popover-arrow {
  border-color: #f9f9f9;
}

.tooltip[aria-hidden='true'] {
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.15s, visibility 0.15s;
}

.tooltip[aria-hidden='false'] {
  visibility: visible;
  opacity: 1;
  transition: opacity 0.15s;
}

.tooltip.blue .tooltip-inner {
  @apply rounded-sm bg-blue-400 px-1.5 py-2 font-gotham text-sm text-white shadow;
}
.tooltip.blue .tooltip-arrow {
  @apply border-blue-400;
}

.tooltip.blue-500 .tooltip-inner {
  @apply rounded-sm bg-blue-500 px-1.5 py-2 font-gotham text-sm text-white shadow;
}

.tooltip.blue-500 .tooltip-arrow {
  @apply border-blue-500;
}

.tooltip.red-500 .tooltip-inner {
  @apply rounded-sm bg-red-500 px-1.5 py-2 font-gotham text-sm text-white shadow;
}

.tooltip.red-500 .tooltip-arrow {
  @apply border-red-500;
}

.tooltip.green-500 .tooltip-inner {
  @apply rounded-sm bg-green-500 px-1.5 py-2 font-gotham text-sm text-white shadow;
}

.tooltip.green-500 .tooltip-arrow {
  @apply border-green-500;
}

.tooltip.gray-500 .tooltip-inner {
  @apply rounded-sm bg-gray-500 px-1.5 py-2 font-gotham text-sm text-white shadow;
}

.tooltip.gray-500 .tooltip-arrow {
  @apply border-gray-500;
}

.tooltip.gray-700 .tooltip-inner {
  @apply rounded-sm bg-gray-700 px-1.5 py-2 font-gotham text-sm text-white shadow;
}

.tooltip.gray-700 .tooltip-arrow {
  @apply border-gray-700;
}
